from zsub.common.search import cache_search
from zsub.common.extract import extract

def unzip(req):
    to_extract = _unzip(req.title, req.languages.fulls, req.cache, req.auto_select)
    extract(to_extract, req.unzip, req.group, req.open_after)
    
def _unzip(title, languages, cache, auto_select=False, to_extract=[]):
    folders = cache_search(title, languages, cache, auto_select)
    for folder in folders:
        for child in folder.iterdir():
            to_extract.append({'url':'', 'path': child})
    return to_extract

