from zsub.common.utils import need_update, print_update_info, set_last_check, is_time_to_check

PERIOD = 7 #days

def update(req, auto=False):
    if auto:
        if req.command != 'update':
            if is_time_to_check(req.last_check, PERIOD):
                print(f"[update] It's been {PERIOD} days or more since last check for zsub update.")
                check4update(req.config)
    else:
        check4update(req.config)


def check4update(path):
    print('Checking for zsub update. It take some seconds.')
    pkg = need_update('zsub')
    if pkg:
        print_update_info(pkg)
    else:
        print('You are using the latest version.')
    set_last_check(path)
